#include <gtest/gtest.h>
#include <cmath>
#include <fstream>
#include "../dataChannelTestUtility.h"
#include "../taskTests.h"
#include "../../../software/signal_processing_bsp/system.h"
#include "../../data/sine.h"

int main( int argc, char ** argv ) {
    ::testing::InitGoogleTest(&argc, argv);
    return RUN_ALL_TESTS();
}

TEST( test_task_sine, execute_only ) {
    configureAndRunSine();
    dataChannelWriteToFile( DATA_CHANNEL_0_BASE, "data.py" );
}

TEST( test_task_sine, execute_and_check ) {
    configureAndRunSine();
    dataChannelCheckAndWriteToFile( DATA_CHANNEL_0_BASE, expected_sine, "data.py" );
}

